Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class Parser

    java.lang.Object
      org.maltparser.parser.Algorithm
          org.maltparser.parser.Parser

Direct Known Subclasses:
  DeterministicParser

    public abstract class Parser

extends Algorithm

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.parser.Algorithm
`classifierGuide, currentParserConfiguration, diagnostics, diaWriter, manager, parserState`

Constructor Summary
`Parser(DependencyParserConfig manager)` Creates a parser

Method Summary
`abstract DependencyStructure` | `parse(DependencyStructure parseDependencyGraph)` Parses the empty dependency graph

Methods inherited from class org.maltparser.parser.Algorithm
`closeDiaWriter, copyDynamicInput, copyEdges, getCurrentParserConfiguration, getDiaWriter, getGuide, getManager, getParserState, initParserState, isDiagnostics, makeParserFactory, openDiaWriter, setCurrentParserConfiguration, setDiagnostics, setGuide, setManager, setParserState, terminate, writeToDiaFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parser

    public Parser(DependencyParserConfig manager)
           throws MaltChainedException

  Creates a parser

  Parameters:
    `manager` - a reference to the single malt configuration
  Throws:
    `MaltChainedException`

Method Detail

### parse

    public abstract DependencyStructure parse(DependencyStructure parseDependencyGraph)
                                       throws MaltChainedException

  Parses the empty dependency graph

  Parameters:
    `parseDependencyGraph` - a dependency graph
  Returns:
    a parsed dependency graph
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.